%define	oname	cwp
%define	name	plasma-applet-customizable_weather_plasmoid
%define	version	1.6.9
%define	release	%mkrel	1

Name:		%{name}
Summary:	This is another weather plasmoid
Version:	%{version}
Release:	%{release}
Url:		http://www.kde-look.org/content/show.php/Customizable+Weather+Plasmoid?content=98925
License:	GPL
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	98925-%{oname}-%{version}.tar.bz2
Obsoletes:	%{name} <= %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

%description
This is another weather plasmoid.
It aims to be highly customizable, but a little harder to setup than other weather plasmoids.
Nearly any weather forecast provider can be used, as long as the data is provided as html files (no flash).
The information how to extract the information from these html files is stored inside xml files.
Commands like grep, head, tail, sed, awk, ... will do this job.

For now, xml files for the weather providers

www.weather.com (°F) (city identifier example: USDC0001)
br.weather.com (°C) (city identifier example: BRXX0043)
de.weather.com (°C) (city identifier example: 80331 or UKXX0085)
espanol.weather.com (°C) (city identifier example: Ciudad-de-Mexico-MXDF0132)
fr.weather.com (°C) (city identifier example: Paris-FRXX0076)
in.weather.com (°C) (city identifier example: New-Delhi-INXX0096)
uk.weather.com (°C) (city identifier example: London-UKXX0085)
wetter.com (°C) (city identifier example: DE0006515)
metservice.co.nz (°C) (city identifier example: wellington)
myforecast.com (°C) (city identifier example: 12844)
myforecast.com (°F) (city identifier example: 12844)
www.weather.com.cn (°C) (city identifier example: 101010100)
accuweather.com US (°C) (city identifier example: 85001)
accuweather.com US (°F) (city identifier example: 85001)
accuweather.com world (°C) (city identifier example: AFR|ZA|SF004|JOHANNESBURG)
accuweather.com world (°F) (city identifier example: AFR|ZA|SF004|JOHANNESBURG)

are included, but feel free to write your own ones.
Please note, that some of the xml files might not work properly for all locations.

To access extended information about current weather condition, left-click inside the current weather description!
The time, when the provider updated his weather information is shown italic when clicked on update time.

CWP saves current weather data on exit inside $HOME/.cwp folder, so after crashes, ... you might want to clean up
this directory, or completely remove it.

%prep
%setup -q -n %{oname}-%{version}


%build
%cmake_kde4
%make


%install
%{__rm} -fr %{buildroot}
cd build
%{makeinstall_std}
kbuildsycoca4
cd -

%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root)
%{_kde_libdir}/kde4/plasma_applet_cwp.so
%{_kde_datadir}/kde4/services/plasma-applet-cwp.desktop
%{_kde_datadir}/apps/plasma-cwp/*
%{_kde_datadir}/apps/desktoptheme/*
%{_kde_datadir}/locale/de/*
%{_kde_datadir}/locale/el/*
%{_kde_datadir}/locale/es/*
%{_kde_datadir}/locale/hu/*
%{_kde_datadir}/locale/ro/*
%{_kde_datadir}/locale/zh_CN/*
%{_kde_datadir}/locale/br/*
%{_kde_datadir}/locale/fr/*
%{_kde_datadir}/locale/nl/*
%{_kde_datadir}/locale/it/*
%{_kde_datadir}/locale/nb/*
%{_kde_datadir}/locale/pl/*
%{_kde_datadir}/locale/sr/*
%{_kde_datadir}/locale/sr@latin/*
%{_kde_datadir}/locale/ru/*
%{_kde_datadir}/locale/tr/*
%{_kde_iconsdir}/oxygen/scalable/status/weather-windy.svgz
%{_kde_iconsdir}/oxygen/128x128/status/weather-windy.png


%changelog
* Sat Nov 17 2012 Jens Ornot <rpm@mandrivauser.de> 1.6.9-1mud2010.2
- new version 1.6.9

* Tue Oct 16 2012 Jens Ornot <rpm@mandrivauser.de> 1.6.5-1mud2010.2
- new version 1.6.5

* Wed Aug 08 2012 Jens Ornot <rpm@mandrivauser.de> 1.6.3-1mud2010.2
- new version 1.6.3

* Sat May 26 2012 Jens Ornot <rpm@mandrivauser.de> 1.6.2-1mud2010.2
- new version 1.6.2

* Tue May 08 2012 Jens Ornot <rpm@mandrivauser.de> 1.6.1-1mud2010.2
- new version 1.6.1

* Sun May 06 2012 Jens Ornot <rpm@mandrivauser.de> 1.6.0-1mud2010.2
- new version 1.6.0

* Sun Apr 08 2012 Jens Ornot <rpm@mandrivauser.de> 1.5.14-1mud2010.2
- new version 1.5.14

* Fri Mar 23 2012 Jens Ornot <rpm@mandrivauser.de> 1.5.13-1mud2010.2
- new version 1.5.13

* Tue Mar 13 2012 Jens Ornot <rpm@mandrivauser.de> 1.5.12-1mud2010.2
- new version 1.5.12

* Wed Feb 29 2012 Jens Ornot <rpm@mandrivauser.de> 1.5.11-1mud2010.2
- new version 1.5.11

* Mon Feb 13 2012 Jens Ornot <rpm@mandrivauser.de> 1.5.9-1mud2010.2
- new version 1.5.9

* Sun Dec 18 2011 Jens Ornot <rpm@mandrivauser.de> 1.5.7-1mud2010.2
- new version 1.5.7

* Thu Nov 10 2011 Jens Ornot <rpm@mandrivauser.de> 1.5.6-1mud2010.2
- new version 1.5.6

* Sat Jun 11 2011 Jens Ornot <rpm@mandrivauser.de> 1.5.4-1mud2010.2
- new version 1.5.4

* Thu Jun 02 2011 Jens Ornot <rpm@mandrivauser.de> 1.5.3-1mud2010.2
- new version 1.5.3

* Mon Apr 11 2011 Jens Ornot <rpm@mandrivauser.de> 1.5.2-1mud2010.2
- new version 1.5.2

* Mon Mar 21 2011 Jens Ornot <rpm@mandrivauser.de> 1.5.1-1mud2010.2
- new version 1.5.1

* Tue Mar 08 2011 Jens Ornot <rpm@mandrivauser.de> 1.5.0-1mud2010.2
- new version 1.5.0

* Fri Feb 25 2011 Jens Ornot <rpm@mandrivauser.de> 1.4.0-1mud2010.2
- new version 1.4.0

* Fri Feb 25 2011 Jens Ornot <rpm@mandrivauser.de> 1.3.4-1mud2010.2
- new version 1.3.4

* Sun Jan 02 2011 Jens Ornot <rpm@mandrivauser.de> 1.3.3-1mud2010.2
- new version 1.3.3

* Sun Dec 12 2010 Jens Ornot <rpm@mandrivauser.de> 1.3.2-1mud2010.1
- new version 1.3.2

* Wed Nov 17 2010 Jens Ornot <rpm@mandrivauser.de> 1.3.1-1mud2010.1
- new version 1.3.1

* Mon Oct 25 2010 Jens Ornot <rpm@mandrivauser.de> 1.3.0-1mud2010.1
- new version 1.3.0

* Thu Oct 07 2010 Jens Ornot <rpm@mandrivauser.de> 1.2.3-1mud2010.1
- new version 1.2.3

* Mon Sep 13 2010 Jens Ornot <rpm@mandrivauser.de> 1.2.2-1mud2010.1
- new version 1.2.2

* Fri Aug 27 2010 Jens Ornot <rpm@mandrivauser.de> 1.2.1-1mud2010.1
- new version 1.2.1

* Fri Aug 06 2010 Jens Ornot <rpm@mandrivauser.de> 1.2.0-1mud2010.1
- new version 1.2.0

* Fri Jul 23 2010 Jens Ornot <rpm@mandrivauser.de> 1.1.1-1mud2010.1
- rebuild for i586
  o Thu Jul 22 2010 Jens Ornot <rpm@mandrivauser.de> 1.1.1-1mud2010.1
  - new version 1.1.1

* Thu Jul 15 2010 Oliver Burger <rpm@mandrivauser.de> 1.1.0-1mud2010.1
- rebuild for i586
  o Thu Jul 15 2010 Jens Ornot <rpm@mandrivauser.de> 1.1.0-1mud2010.1
  - new version 1.1.0

* Sun Jun 20 2010 Jens Ornot <rpm@mandrivauser.de> 1.0.5-1mud2010.1
- new version 1.0.5

* Sun May 30 2010 Jens Ornot <O.J.Webstar@googlemail.com> 1.0.4-1wbs2010.1
- new version 1.0.4

* Mon May 24 2010 Jens Ornot <O.J.Webstar@googlemail.com> 1.0.3-1wbs2010.1
- new version 1.0.3

* Wed May 12 2010 Jens Ornot <O.J.Webstar@googlemail.com> 1.0.2-1wbs2010.1
- new version 1.0.2

* Sun Apr 04 2010 Jens Ornot <O.J.Webstar@googlemail.com> 1.0.1-1wbs2010.1
- new version 1.0.1

* Mon Mar 08 2010 Jens Ornot <O.J.Webstar@googlemail.com> 1.0.0-1mud2010.1
- new version 1.0.0

* Tue Jan 12 2010 Jens Ornot <O.J.Webstar@googlemail.com> 0.9.18-1mud2010.1
- new version 0.9.18

* Mon Nov 09 2009 Jens Ornot <O.J.Webstar@googlemail.com> 0.9.17-1mud2010.1
- new version 0.9.17

* Wed Nov 04 2009 Jens Ornot <O.J.Webstar@googlemail.com> 0.9.16-1mud2010.0
- new version 0.9.16

* Sun Oct 04 2009 Jens Ornot <O.J.Webstar@googlemail.com> 0.9.15-1mud2010.0
- new version 0.9.15

* Wed Aug 12 2009 Jens Ornot <O.J.Webstar@googlemail.com> 0.9.12-1mud2010.0
- new version 0.9.12

* Sun Aug 02 2009 Jens Ornot <O.J.Webstar@googlemail.com> 0.9.11-1mud2010.0
- new version 0.9.11

* Tue Apr 21 2009 Jens Ornot <O.J.Webstar@googlemail.com> 0.9.9-1mud2009.1
- new version 0.9.9

* Tue Apr 07 2009 Oliver Burger <rpm@mandrivauser.de> 0.9.8-1mud2009.1
- rebuild for i586
  o Tue Apr 07 2009 tigger-gg <rpm@mandrivauser.de>
  - new version 0.9.8

* Tue Mar 17 2009 tigger-gg <rpm@mandrivauser.de> 0.9.7-1mud2009.1
- new version 0.9.7

* Fri Mar 13 2009 tigger-gg <rpm@mandrivauser.de> 0.9.6-1mud2009.1
- new version 0.9.6

* Mon Mar 09 2009 tigger-gg <rpm@mandrivauser.de> 0.9.5-1mud2009.1
- new version 0.9.5

* Wed Mar 04 2009 tigger-gg <rpm@mandrivauser.de> 0.9.4-1mud2009.1
- new version 0.9.4

* Wed Feb 25 2009 tigger-gg <rpm@mandrivauser.de> 0.9.3-1mud2009.1
- new version 0.9.3

* Tue Feb 24 2009 tigger-gg <rpm@mandrivauser.de> 0.9.2-1mud2009.1
- new version 0.9.2

* Fri Feb 20 2009 tigger-gg <rpm@mandrivauser.de> 0.9-1mud2009.1
- new version 0.9

* Fri Feb 20 2009 tigger-gg <rpm@mandrivauser.de> 0.8.3-1mud2009.1
- new version 0.8.3

* Thu Feb 19 2009 tigger-gg <rpm@mandrivauser.de> 0.8.1-1mud2009.1
- new version 0.8.1

* Thu Feb 19 2009 tigger-gg <rpm@mandrivauser.de> 0.8-1mud2009.1
- new version 0.8

* Mon Feb 16 2009 tigger-gg <rpm@mandrivauser.de> 0.7-1mud2009.1
- new version 0.7

* Mon Feb 16 2009 tigger-gg <rpm@mandrivauser.de> 0.6-1mud2009.1
- new version 0.6

* Mon Feb 16 2009 tigger-gg <rpm@mandrivauser.de> 0.5-1mud2009.1
- new version 0.5

* Sat Feb 14 2009 tigger-gg <rpm@mandrivauser.de> 0.4-1mud2009.1
- removed xml-files
- new version 0.4

* Wed Feb 11 2009 tigger-gg <rpm@mandrivauser.de> 0.2-2mud2009.1
- rebuild for x86_64

* Wed Feb 11 2009 Oliver Burger <rpm@mandrivauser.de> 0.2-2mud2009.1
- added xml-files

* Mon Feb 09 2009 Oliver Burger <rpm@mandrivauser.de> 0.2-1mud2009.1
- initial package for Mandriva Linux
